Bug 240194 - Review Request: dgae - DG, a short AGI adventure game
Review Request: dgae - DG, a short AGI adventure game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On: 239812
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-15 14:31 EDT by Jon Ciesla
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 19:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-05-15 14:31:57 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/dgae/dgae.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/dgae/dgae-1.1-1.src.rpm
Description: A short, public domain AGI game for use with (requiring) nagi.

Help DG to seek out his twin brother's stick.
This game is a public domain: you can look out the codes and make your own
AGI game.
Comment 1 Hans de Goede 2007-05-17 14:35:26 EDT
MUST:
=====
* rpmlint output is:
E: dgae zero-length /usr/share/dgae/snddir
This is "normal" for this package and can be ignored
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream (as explained in the comment)
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* No shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions
* %clean & macro usage OK
* Contains code and permissable content
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed
* .desktop file as required and properly installed

Must FIX
========
* The URL field is invalid, change it to:
  http://membres.lycos.fr/agisite/agisite.htm
* Drop the bogus " dg" argument to %setup
* readme.txt is not in UTF-8 , this fixes it:
  iconv -f IBM850 -t UTF8 readme.txt > readme.txt.tmp
  mv readme.txt.tmp readme.txt

Should fix
==========
* Change the last line of dgae-wrapper.sh from 'nagi' to 'exec nagi "$@"'
  the exec removes a useless bash instance from memory (since the script does
  nothing after the nagi line, bash can just be replaced with nagi instead of
  nagi running under bash. the "$@" passed any cmdline args given to the script 
  to nagi (although it seems that nagi takes no cmdline args??).
Comment 2 Jon Ciesla 2007-05-17 14:46:43 EDT
Fixed all the musts and shoulds above.

Spec URL: http://zanoni.jcomserv.net/fedora/dgae/dgae.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/dgae/dgae-1.1-2.src.rpm

I'll apply these to serguei's destiny where applicable.
Comment 3 Hans de Goede 2007-05-17 14:53:21 EDT
looks good, approved! (atill has to wait for nagi though. Xavier seems to be
somewhat slow there, maybe you should ping him asking him to step down if he
doesn't have the time, you can tell him you have another reviewer ready to go :)

Comment 4 Jon Ciesla 2007-05-18 11:58:28 EDT
New Package CVS Request
=======================
Package Name: dgae
Short Description: a short AGI adventure game
Owners: limb@jcomserv.net
Branches: FC-5 FC-6
InitialCC: 
Comment 5 Jon Ciesla 2007-05-22 19:04:21 EDT
Built in all branches.

Note You need to log in before you can comment on or make changes to this bug.